org.apache.mina.session

## Class DefaultWriteQueue

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractQueue<E>
    - - java.util.concurrent.ConcurrentLinkedQueue<WriteRequest>
      - - org.apache.mina.session.DefaultWriteQueue

All Implemented Interfaces:
  Serializable, Iterable<WriteRequest>, Collection<WriteRequest>, Queue<WriteRequest>

    public class DefaultWriteQueue
    extends ConcurrentLinkedQueue<WriteRequest>

The default implementation of the WriteRequest queue for storing writes to process in the `IoSession`.

Author:
  Apache MINA Project
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DefaultWriteQueue()`

### Method Summary

### Methods inherited from class java.util.concurrent.ConcurrentLinkedQueue

`add, addAll, contains, isEmpty, iterator, offer, peek, poll, remove, size, toArray, toArray`

### Methods inherited from class java.util.AbstractQueue

`clear, element, remove`

### Methods inherited from class java.util.AbstractCollection

`containsAll, removeAll, retainAll, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Queue

`element, remove`

### Methods inherited from interface java.util.Collection

`clear, containsAll, equals, hashCode, removeAll, retainAll`

### Constructor Detail

#### DefaultWriteQueue

    public DefaultWriteQueue()